from typing import Sequence


def powers(n: float, k: int) -> list[float]:
    l: list[float] = []
    for i in range(k + 1):
        l += [n ** i]
    return l


def count_vowels(s: str) -> int:
    count = 0
    for c in s:
        if c in ['a', 'e', 'i', 'o', 'u', 'A', 'E', 'I', 'O', 'U']:
            count += 1
    return count


def product3(a: Sequence[int], b: Sequence[int]) -> list[int]:
    [ax, ay, az] = a
    [bx, by, bz] = b
    return [ay * bz - az * by, az * bx - ax * bz, ax * by - ay * bx]


def traffic_light(load: float) -> str:
    if load < 0.7:
        return "green"
    elif load >= 0.7 and load < 0.9:
        return "amber"
    else:
        return "red"
