import pytest
from ex import powers, count_vowels, product3, traffic_light


def test_powers_1() -> None:
    expected = [1, 2, 4, 8]
    actual = powers(2, 3)
    assert expected == actual


def test_powers_2() -> None:
    expected = [1.0, 0.5, 0.25]
    actual = powers(0.5, 2)
    assert expected == actual


# @pytest.mark.skip
def test_count_vowels() -> None:
    expected = 0
    actual = count_vowels('')
    assert expected == actual


@pytest.mark.skip
def test_count_vowels_1() -> None:
    expected = 4
    actual = count_vowels('This is a test')
    assert expected == actual


@pytest.mark.skip
def test_count_vowels_2() -> None:
    expected = 5
    actual = count_vowels('aoeui')
    assert expected == actual


@pytest.mark.skip
def test_count_vowels_3() -> None:
    expected = 10
    actual = count_vowels('aoeuiAOEUI')
    assert expected == actual


@pytest.mark.skip
def test_count_vowels_4() -> None:
    expected = 0
    actual = count_vowels('N0 v0w3ls @t @ll ln thls strlng')
    assert expected == actual


def test_product3_1() -> None:
    expected = [0, 0, 1]
    actual = product3([1, 0, 0], [0, 1, 0])
    assert expected == actual


def test_product3_2() -> None:
    expected = [-8, 6, -1]
    actual = product3([1, 2, 4], [3, 5, 6])
    assert expected == actual


def test_traffic_light() -> None:
    expected = "green"
    actual = traffic_light(0.5)
    assert expected == actual

@pytest.mark.skip
def test_traffic_light_2() -> None:
    expected = "amber"
    actual = traffic_light(0.8)
    assert expected == actual

#@pytest.mark.skip
def test_traffic_light_3() -> None:
    expected = "red"
    actual = traffic_light(1.0)
    assert expected == actual
